const dataBlockId = '22222222';
const response = await fetch(`https://service.pcibooking.net/api/dataBlock/${dataBlockId}`, {
method: 'DELETE',
headers: {
'Authorization': 'APIKEY your-api-key'
}
});
console.log(response.status); // 204 on success
import requests
data_block_id = '22222222'
response = requests.delete(
f'https://service.pcibooking.net/api/dataBlock/{data_block_id}',
headers={
'Authorization': 'APIKEY your-api-key'
}
)
print(response.status_code) # 204 on success
No content returned.
{
"code": -125,
"message": "Bad input data",
"moreInfo": "...",
"errorList": null
}
{
"code": -1003,
"message": "Not authorized to access this resource",
"moreInfo": "Bad or missing authorization data, expected APIKEY",
"errorList": null
}
{
"code": -1001,
"message": "Uri not found",
"moreInfo": "Data block not found",
"errorList": null
}
Data Blocks
Delete Data Block
Permanently delete a stored data block and its contents by ID. This cannot be undone.
DELETE
/
api
/
dataBlock
/
{id}
const dataBlockId = '22222222';
const response = await fetch(`https://service.pcibooking.net/api/dataBlock/${dataBlockId}`, {
method: 'DELETE',
headers: {
'Authorization': 'APIKEY your-api-key'
}
});
console.log(response.status); // 204 on success
import requests
data_block_id = '22222222'
response = requests.delete(
f'https://service.pcibooking.net/api/dataBlock/{data_block_id}',
headers={
'Authorization': 'APIKEY your-api-key'
}
)
print(response.status_code) # 204 on success
No content returned.
{
"code": -125,
"message": "Bad input data",
"moreInfo": "...",
"errorList": null
}
{
"code": -1003,
"message": "Not authorized to access this resource",
"moreInfo": "Bad or missing authorization data, expected APIKEY",
"errorList": null
}
{
"code": -1001,
"message": "Uri not found",
"moreInfo": "Data block not found",
"errorList": null
}
Data Block Tokenization Guide
Store and manage arbitrary data securely with GDPR-compliant storage locations
Error Responses
| HTTP Status | Error Code | Description |
|---|---|---|
| 401 | -1003 | Not authenticated. The API key is missing or invalid. |
| 403 | -1003 | Not authorized. The authenticated user does not own this data block or lacks the CanWriteData permission. |
| 404 | -160 | Data block not found. No data block exists with the specified ID. |
| 500 | -150 | Internal system error. |
Parameters
Headers
string
required
Your API key prefixed with
APIKEY. Example: APIKEY your-api-key. See the Authentication guide.Path Parameters
string
required
The ID of the data block returned in the create method.
const dataBlockId = '22222222';
const response = await fetch(`https://service.pcibooking.net/api/dataBlock/${dataBlockId}`, {
method: 'DELETE',
headers: {
'Authorization': 'APIKEY your-api-key'
}
});
console.log(response.status); // 204 on success
import requests
data_block_id = '22222222'
response = requests.delete(
f'https://service.pcibooking.net/api/dataBlock/{data_block_id}',
headers={
'Authorization': 'APIKEY your-api-key'
}
)
print(response.status_code) # 204 on success
Response
No content returned.
{
"code": -125,
"message": "Bad input data",
"moreInfo": "...",
"errorList": null
}
{
"code": -1003,
"message": "Not authorized to access this resource",
"moreInfo": "Bad or missing authorization data, expected APIKEY",
"errorList": null
}
{
"code": -1001,
"message": "Uri not found",
"moreInfo": "Data block not found",
"errorList": null
}

